Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer
Interface LifecycleStrategy

All Known Implementing Classes:
  AbstractBehavior, AbstractInjector, AbstractMonitoringLifecycleStrategy, AnnotatedFieldInjector, AnnotatedMethodInjector, Automated, Cached, CompositeInjector, CompositeLifecycleStrategy, ConstructorInjector, Decorated, FieldDecorated, Guarded, HiddenImplementation, InstanceAdapter, Intercepted, IterativeInjector, JavaEE5LifecycleStrategy, Locked, MethodInjector, MethodInjector.ByReflectionMethod, MultiInjector, NamedFieldInjector, NullLifecycleStrategy, PropertyApplicator, ReflectionLifecycleStrategy, SetterInjector, SingleMemberInjector, StartableLifecycleStrategy, Stored, Synchronized, ThreadCached, TypedFieldInjector

    public interface LifecycleStrategy

An interface which specifies the lifecycle strategy on the component instance. Lifecycle strategies are used by component adapters to delegate the lifecycle operations on the component instances.

Author:
  Paul Hammant, Peter Royal, Jörg Schaible, Mauro Talevi
See Also:
  `Startable`, `Disposable`

Method Summary
`void` | `dispose(Object component)` Invoke the "dispose" method on the component instance if this is disposable.
`boolean` | `hasLifecycle(Class<?> type)` Test if a component instance has a lifecycle.
`void` | `start(Object component)` Invoke the "start" method on the component instance if this is startable.
`void` | `stop(Object component)` Invoke the "stop" method on the component instance if this is stoppable.

Method Detail

### start

    void start(Object component)

  Invoke the "start" method on the component instance if this is startable. It is up to the implementation of the strategy what "start" and "startable" means.

  Parameters:
    `component` - the instance of the component to start

### stop

    void stop(Object component)

  Invoke the "stop" method on the component instance if this is stoppable. It is up to the implementation of the strategy what "stop" and "stoppable" means.

  Parameters:
    `component` - the instance of the component to stop

### dispose

    void dispose(Object component)

  Invoke the "dispose" method on the component instance if this is disposable. It is up to the implementation of the strategy what "dispose" and "disposable" means.

  Parameters:
    `component` - the instance of the component to dispose

### hasLifecycle

    boolean hasLifecycle(Class<?> type)

  Test if a component instance has a lifecycle.

  Parameters:
    `type` - the component's type
  Returns:
    `true` if the component has a lifecycle

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.